> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Transaction History - Wallet

POST TBD/api/v2/users/transactions/history/wallet
Content-Type: application/json

This API endpoint provides a record of the user's wallet transactions, newest first: payments, top-ups, cash back, points converted to wallet balance and other credits and debits. Each record includes the wallet balance after that transaction.

### Request Body

- `page` (integer): The page of the transaction history to present. Each page contains a set number of transaction records.
    

### Response

- `page` (integer): The page returned.
    
- `last_page` (integer): The last available page.
    
- `total` (integer): The total number of transactions.
    
- `transactions` (array): An array of objects, each detailing one transaction. Each object includes `username` and `user_image` (the other party, for example the merchant), `created_at`, `reference` (what the transaction was), `description`, `cr` (amount credited), `dr` (amount debited), `amount`, `wallet_balance` (the balance after the transaction), `currency_symbol`, `currency_code` and `currency_decimal_digits`.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/digital-wallet/transaction-history-wallet

## Request

### Query parameters

- `api_token` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `api` (string, optional)
- `data` (ApiV2UsersTransactionsHistoryWalletPostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 200

Transaction History - Wallet

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2UsersTransactionsHistoryWalletPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2UsersTransactionsHistoryWalletPostRequestBodyContentApplicationJsonSchemaData

- `page` (integer, optional)

### ApiV2UsersTransactionsHistoryWalletPostResponsesContentApplicationJsonSchemaData

- `user_cashback_total` (string, optional)
- `merchants` (list of ApiV2UsersTransactionsHistoryWalletPostResponsesContentApplicationJsonSchemaDataMerchantsItems, optional)

### ApiV2UsersTransactionsHistoryWalletPostResponsesContentApplicationJsonSchemaDataMerchantsItems

- `merchant_id` (string, optional)
- `merchant_name` (string, optional)
- `merchant_username` (string, optional)
- `cashback_total` (string, optional)
- `total_spent` (string, optional)
- `loyalty_percentage` (string, optional)
- `category` (string, optional)
- `address1` (string, optional)
- `city_name` (string, optional)
- `state_code` (string, optional)
- `state_name` (string, optional)
- `postcode` (string, optional)
- `merchant_image_url` (string, optional)

## Examples

**Request**

```json
{
  "api": "user-transaction-history-wallet",
  "data": {
    "page": 1
  }
}
```

**Response**

```json
{
  "message": "Wallet transactions have been loaded",
  "api": "user-transaction-history-wallet",
  "status": "success",
  "data": {
    "last_page": 1,
    "page": 1,
    "total": 2,
    "transactions": [
      {
        "amount": "110.00",
        "cr": "110.00",
        "created_at": "2026-09-23 04:55:30",
        "currency_code": "AUD",
        "currency_decimal_digits": 2,
        "currency_symbol": "A$",
        "description": null,
        "dr": "0.00",
        "reference": "Loyalty Cash Back - Officeworks",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/16c314cf-16dd-47ce-9d20-faf5184f80a1.jpg",
        "username": "Officeworks",
        "wallet_balance": "110.00"
      },
      {
        "amount": "0.00",
        "cr": "0.00",
        "created_at": "2026-09-23 04:55:25",
        "currency_code": "AUD",
        "currency_decimal_digits": 2,
        "currency_symbol": "A$",
        "description": "Total $5 with voucher redemptions",
        "dr": "0.00",
        "reference": "LITT Card Payment - Officeworks\nTotal $5 with voucher redemptions",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/16c314cf-16dd-47ce-9d20-faf5184f80a1.jpg",
        "username": "Officeworks",
        "wallet_balance": "0.00"
      }
    ]
  }
}
```

**SDK Code**

```python Digital Wallet_transactionHistoryWallet_example
import requests

url = "https://tbd/api/v2/users/transactions/history/wallet"

payload = {
    "api": "user-transaction-history-wallet",
    "data": { "page": 1 }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Digital Wallet_transactionHistoryWallet_example
const url = 'https://tbd/api/v2/users/transactions/history/wallet';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"api":"user-transaction-history-wallet","data":{"page":1}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Wallet_transactionHistoryWallet_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/transactions/history/wallet"

	payload := strings.NewReader("{\n  \"api\": \"user-transaction-history-wallet\",\n  \"data\": {\n    \"page\": 1\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Wallet_transactionHistoryWallet_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/transactions/history/wallet")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"api\": \"user-transaction-history-wallet\",\n  \"data\": {\n    \"page\": 1\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Digital Wallet_transactionHistoryWallet_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/transactions/history/wallet")
  .header("Content-Type", "application/json")
  .body("{\n  \"api\": \"user-transaction-history-wallet\",\n  \"data\": {\n    \"page\": 1\n  }\n}")
  .asString();
```

```php Digital Wallet_transactionHistoryWallet_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/transactions/history/wallet', [
  'body' => '{
  "api": "user-transaction-history-wallet",
  "data": {
    "page": 1
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Digital Wallet_transactionHistoryWallet_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/transactions/history/wallet");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"api\": \"user-transaction-history-wallet\",\n  \"data\": {\n    \"page\": 1\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Digital Wallet_transactionHistoryWallet_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "api": "user-transaction-history-wallet",
  "data": ["page": 1]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/transactions/history/wallet")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```